QGIS Application - Bug report #15203
feature ordering randomly fails when panning / zooming canvas
2016-07-03 07:50 PM - Mathieu Pellerin - nIRV

Status: Closed

Priority: Severe/Regression

Assignee: Matthias Kuhn

Category: Unknown

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 23141
Description

The settings of layer's feature rendering order appear to randomly fail when zooming / panning around the QGIS' canvas. See attached
screencast (bug.mp4).
Steps to reproduce

1. Create a new project

2. Add a vector layer dataset with feature overlap(s) which can be sorted to be above / below one another

3. Activate the [x] control feature rendering order, sort by a given column (in the above screencast, I'm sorting a text column)

4. Click on the [ Apply ] button (* live update doesn't work with rendering order)

5. Start panning around, notice the rendering order is randomly failing

Associated revisions

Revision 5d4836e9 - 2016-07-04 09:43 AM - Mathieu Pellerin - nIRV

add quotes to field name is the rendering order settings dialog (#3270)

(fixes #15203)

History

#1 - 2016-07-03 09:21 PM - Mathieu Pellerin - nIRV

More on this: the issue has to do with sorting of a field which name is an expression engine function (i.e. field name YEAR, expression function year()). The

code must fail to put the field name in between "quotation marks".

#2 - 2016-07-04 12:42 AM - Matthias Kuhn

Is that fixed with https://github.com/qgis/QGIS/pull/3269 ?

(FY]1, if you put "Fix #15203" into the commit message, the issue will be linked and closed)

#3 - 2016-07-04 12:42 AM - Matthias Kuhn
- Status changed from Open to Feedback

#4 - 2016-07-04 12:44 AM - Mathieu Pellerin - nIRV
- Status changed from Feedback to Closed
https://github.com/qgis/QGIS/pull/3269

Fixed in changeset commit:"5d4836e9b1fb92532c8d723f9¢293c0ce27f7250".

#5 - 2017-09-22 09:55 AM - Jiirgen Fischer

- Category set to Unknown

Files

bug.mp4 921 KB 2016-07-03 Mathieu Pellerin - nIRV

2025-04-26 22



